Description

Foreman's default PXE menu can support provisioning by host group, however, Katello's content_source setup needs some

changes.

- content_source needs to be added to hostgroup jail,

- distribution_repositories needs to refer to .architecture instead of .arch for hostgroups

- maybe more changes are needed

Associated revisions

Revision d614feb8 - 07/31/2014 07:03 AM - Stephen Benjamin

fixes #6853 - make host group provisioning work with katello

Revision 7790492a - 08/06/2014 08:13 PM - Justin Sherrill

Merge pull request #4510 from stbenjam/6853

fixes #6853 - make host group provisioning work with katello

History

#1 - 07/31/2014 07:26 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4510 added

- Pull request deleted ()

#2 - 08/01/2014 04:29 PM - Eric Helms

- Bugzilla link set to 1126087

#3 - 08/01/2014 04:29 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/05/2014 11:44 AM - Stephen Benjamin

In order to enable Host Group provisioing:

1) Create a host group that has all of the operating system fields assigned

2) Edit a provisioing template for that OS, on the 'Association' tab, click 'Add combination'

3) Leave environment blank, but set a Host Group

4) On the main template list, now click 'Build PXE Default'

5) Check the TFTP directory (probably /var/lib/tftproot/pxelinux.cfg) for a 'default' file - you should see an entry for each host group you configured

6) Boot a new host via PXE (just directly boot it, not through Foreman's New Host) and you should see a menu that lists each of the foreman host

groups
#5 - 08/06/2014 09:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|d614feb86781a5e5d29ad9635305596b7415064d.

#6 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
